BeagleWksDRParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
BeagleWksDRParserInternal::State Struct Reference

Internal: the state of a BeagleWksDRParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
long | m_graphicBegin
| the graphic begin position More...
long | m_shapesBegin [2]
| the shape definitions and the unknown More...
std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| the type entry map More...
std::vector< MWAWColor > | m_colorList
| the colors list More...
std::vector< MWAWGraphicStyle::Pattern > | m_patternList
| the pattern list More...
int | m_numShapes [2]
| the number of shapes: positions and definitions More...
std::vector< Shape > | m_shapeList
| the list of shapes More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a BeagleWksDRParser.

## Constructor & Destructor Documentation

## ◆ State()

BeagleWksDRParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int BeagleWksDRParserInternal::State::m_actPage

the actual page

## ◆ m_colorList

std::vector<MWAWColor> BeagleWksDRParserInternal::State::m_colorList

the colors list

## ◆ m_footerHeight

int BeagleWksDRParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_graphicBegin

long BeagleWksDRParserInternal::State::m_graphicBegin

the graphic begin position

## ◆ m_headerHeight

int BeagleWksDRParserInternal::State::m_headerHeight

the header height if known

## ◆ m_numPages

int BeagleWksDRParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_numShapes

int BeagleWksDRParserInternal::State::m_numShapes[2]

the number of shapes: positions and definitions

Referenced by State().

## ◆ m_patternList

std::vector<MWAWGraphicStyle::Pattern> BeagleWksDRParserInternal::State::m_patternList

the pattern list

## ◆ m_shapeList

std::vector<Shape> BeagleWksDRParserInternal::State::m_shapeList

the list of shapes

## ◆ m_shapesBegin

long BeagleWksDRParserInternal::State::m_shapesBegin[2]

the shape definitions and the unknown

Referenced by State().

## ◆ m_typeEntryMap

std::multimap<std::string, MWAWEntry> BeagleWksDRParserInternal::State::m_typeEntryMap

the type entry map

The documentation for this struct was generated from the following file:

- BeagleWksDRParser.cxx